before_commands:
    - "composer update --prefer-dist"

tools:
    external_code_coverage: true
    php_code_coverage: true
    php_code_sniffer:
        enabled: true
        config:
            standard: PSR2
        filter:
            paths: ["lib/*", "tests/*"]
    php_cpd:
        enabled: true
        excluded_dirs: ["build", "tests", "vendor"]
    php_cs_fixer:
        enabled: true
        config:
            level: all
        filter:
            paths: ["lib/*", "tests/*"]
    php_loc:
        enabled: true
        excluded_dirs: ["build", "tests", "vendor"]
    php_mess_detector:
        enabled: true
        filter:
            paths: ["lib/*"]
    php_pdepend:
        enabled: true
        excluded_dirs: ["build", "tests", "vendor"]
    php_analyzer: true
    php_analyzer:
        filter:
            paths: ["lib/*"]
    sensiolabs_security_checker: true
